import { clone } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: ObjectConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    doSave: {
        type: FunctionConstructor;
    };
    showAutoSave: {
        type: BooleanConstructor;
        default: boolean;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        mode: string;
        enableInnerSave: boolean;
        showAutoSave: boolean;
    } & {
        data?: Record<string, any> | undefined;
        id?: string | undefined;
        doRefresh?: Function | undefined;
        doSave?: Function | undefined;
    }>>>;
    emit: (event: "on-save" | "on-change", ...args: any[]) => void;
    isOverrided: import("vue").Ref<boolean>;
    _id: import("vue").Ref<string | undefined>;
    _data: import("vue").Ref<Record<string, any> | undefined>;
    content: import("vue").Ref<any>;
    refDesigner: import("vue").Ref<any>;
    refOrch: import("vue").Ref<any>;
    refSecurity: import("vue").Ref<any>;
    mode: import("vue").Ref<string>;
    hasChange: import("vue").Ref<boolean>;
    groups: import("vue").Ref<never[]>;
    ignoreChange: boolean;
    appId: string | undefined;
    entities: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IEntity[]>;
    models: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IEntity[]>;
    tabs: {
        title: string;
        value: string;
    }[];
    isEnableAuth: import("vue").ComputedRef<boolean>;
    getContent: () => any;
    isWorkflowApi: (json: any) => boolean;
    setWorkflowId: (json: any, id: string) => void;
    setApiAuth: (authority: any) => void;
    save: (disableNotice?: boolean | undefined) => Promise<void>;
    orchSelected: import("vue").Ref<any>;
    debuggerSelected: import("vue").Ref<any>;
    onTabSelected: (tab: any) => void;
    onDesignerChange: () => void;
    onChangeOrch: (orchId: string) => void;
    reload: () => Promise<void>;
    title: import("vue").ComputedRef<any>;
    FApiDesigner: () => Promise<typeof import("@fly-vue/fuse-ui-editor/@types/components/api-designer/index.vue")>;
    FApiDebugger: () => Promise<typeof import("@fly-vue/fuse-ui-editor/@types/components/api-debugger/index.vue")>;
    ApiOrch: import("vue").DefineComponent<{
        data: {
            type: ObjectConstructor;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: Record<string, any>;
        } & {}>>>;
        emit: (event: "on-change-orch", ...args: any[]) => void;
        appId: string | undefined;
        orchData: import("vue").Ref<import("@fly-vue/lcdp-api").IServerOrchJson | undefined>;
        title: import("vue").Ref<any>;
        refDesigner: import("vue").Ref<any>;
        loaded: import("vue").Ref<boolean>;
        id: import("vue").ComputedRef<any>;
        reload: () => Promise<void>;
        getOrchId: (json: any) => any;
        onSave: (data: any) => Promise<void>;
        treeOptions: import("@fly-vue/ide-base").ITreeOptions;
        changeOrch: () => void;
        metaServerOrch: import("@fly-vue/lcdp-api").IMetaProps;
        ServerOrchDesigner: () => Promise<typeof import("@fly-vue/lcdp-ide-server-orch/@types/components/server-orch-designer.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-change-orch"[], string, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: ObjectConstructor;
            required: true;
        };
    }>>, {}>;
    ApiSecurity: import("vue").DefineComponent<{
        data: {
            type: ObjectConstructor;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: Record<string, any>;
        } & {}>>>;
        authEnabled: import("vue").Ref<boolean>;
        normalAuth: import("vue").Ref<string[]>;
        extraAuth: import("vue").Ref<string[]>;
        authExpr: import("vue").Ref<any>;
        resourceAuth: import("vue").Ref<string>;
        actionAuth: import("vue").Ref<string>;
        dataAuthEnabled: import("vue").Ref<boolean>;
        anonymousEnabled: import("vue").Ref<boolean>;
        isEnableAuth: import("vue").ComputedRef<boolean>;
        list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
        resources: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
        actions: import("vue").Ref<{
            title: string;
            desc: string;
            code: string;
            originalCode?: string | undefined;
            type: "CREATE" | "READ" | "UPDATE" | "DELETE";
        }[]>;
        addAuthVisible: import("vue").Ref<boolean>;
        addAuthCode: import("vue").Ref<string>;
        refInput: import("vue").Ref<any>;
        addExtraAuth: () => void;
        addAuthClose: () => void;
        addAuthOpen: () => Promise<void>;
        removeExtraAuth: (index: number) => void;
        initApiAuthUiData: (json: Record<string, any>) => void;
        save: () => {
            anonymous: boolean;
            auth: {
                scopes: string[];
                enabled: boolean;
                expr: any;
            };
            dataSecurity: {
                enabled: boolean;
                resource: string;
                action: string;
            };
        };
        SelectAuth: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-auth.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: ObjectConstructor;
            required: true;
        };
    }>>, {}>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Page: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/page.vue")>;
    clone: typeof clone;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    SimpleTabs: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/tab/simple-tabs.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-save" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: ObjectConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    doSave: {
        type: FunctionConstructor;
    };
    showAutoSave: {
        type: BooleanConstructor;
        default: boolean;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
}>>, {
    mode: string;
    enableInnerSave: boolean;
    showAutoSave: boolean;
}>;
export default _default;
